=== debian/changelog ===
kio-extras (4:17.12.3-0ubuntu2) bionic; urgency=medium

  * Partial sync from debian unstable:
    - Drop build depend on libslp-dev (LP: #1762328)
    - Drop obolete build depend on libkf5kdelibs4support-dev
    - Update watchfile to v4 and use https
    - Update standards version
    - Update not-installed
    - Add uptream metadata and signing key

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 09 Apr 2018 10:16:11 +0100

kio-extras (4:17.12.3-0ubuntu1) bionic; urgency=medium

  [ Rik Mills ]
  * New upstream release (17.12.3)

  [ José Manuel Santamaría Lema ]
  * Use wildcards in debian/not-installed so we won't have spurious
    missing files reports for non-amd64 architectures.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:27:38 +0000

kio-extras (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New beta release
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:58:21 +0000

kio-extras (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * dev files not used yet - put in not-installed to package
    if needed in future
  * Update lintian overrides
  * New upstream release (17.08.3)
  * Enable building with qtwebengine on arm64 now that exists

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:06:26 +0000
