## kio-extras 18.04.3

=== debian/changelog ===
kio-extras (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:18:01 +0100

kio-extras (4:17.12.3-0ubuntu3) cosmic; urgency=medium

  * No-change rebuild against latest openexr

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 May 2018 08:34:20 +0100

kio-extras (4:17.11.80-0ubuntu1) UNRELEASED; urgency=medium

  * Update versions in install files

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Nov 2017 22:06:31 +0000
