=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
                qtbase5-dev (>= 5.6.1~),
                qtpositioning5-dev (>= 5.6.1~),
                qtwebengine5-dev (>= 5.6.1~) [amd64 i386 arm64 armhf],
-               shared-mime-info
+               shared-mime-info,
 Standards-Version: 4.1.2
 Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
