=== activities/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
    KF5::DBusAddons
    KF5::Activities
    KF5::I18n
+   Qt5::Network
    )
 
 install (
