=== sftp/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
    KF5::KIOCore
    KF5::WidgetsAddons # KMessageBox
    KF5::I18n
+   Qt5::Network
    ${LIBSSH_LIBRARIES})
 set_target_properties(kio_sftp PROPERTIES OUTPUT_NAME "sftp")
