=== debian/changelog ===
kio-extras (4:18.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Disable the HTML thumbnailer: (CVE-2018-19120) (Closes: #913595)
    - remove the qtwebengine5-dev build dependency

 -- Pino Toscano <pino@debian.org>  Mon, 12 Nov 2018 23:27:05 +0100

kio-extras (4:18.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix Vcs-Git field.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Sep 2018 08:41:30 +0200

kio-extras (4:18.08.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Sep 2018 08:23:20 +0200

kio-extras (4:18.04.3-1) experimental; urgency=medium

  * New upstream release (18.04.3).
  * Update build-deps and deps with the info from cmake
  * Bump to Standards-Version 4.1.4
  * Update Vcs fields
  * Update copyright information
  * Update install files
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 17 Jul 2018 11:15:24 +0200

kio-extras (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Fix small comma vs dot typo in debian/control.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 14:53:18 +0100

kio-extras (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove debian/meta/cmake-ignore, unused.
  * Remove unused build dependencies: kinit-dev, libexiv2-dev, libjpeg-dev,
    libkf5kdelibs4support-dev, and libkf5plasma-dev. (Closes: #880317)
  * In kio-extras-data, remove the unused ${shlibs:Depends} substvar, and use
    ${perl:Depends}.
  * Update lintian overrides.
  * Limit the qtwebengine5-dev build dependency only to the architectures
    where it is available: amd64 arm64 armhf i386 mipsel.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 09:24:57 +0100

kio-extras (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 15:35:51 +0200

kio-extras (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:01:32 +0000

kio-extras (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:36:24 +0000

kio-extras (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:21:31 +0000

kio-extras (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:21:57 +0000

kio-extras (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:18:42 +0000

kio-extras (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:04:24 +0000

kio-extras (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:48:35 +0000

kio-extras (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:59:37 +0000

kio-extras (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:19:06 +0000

kio-extras (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:27:51 +0000

kio-extras (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:53 +0000

kio-extras (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:40:21 +0000

kio-extras (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:06:52 +0000

kio-extras (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:48:55 +0000

kio-extras (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Jul 2016 16:36:34 +0000
