=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-
-l10npkgs_firstversion_ok := 4:17.03.90-0~
+l10npkgs_firstversion_ok := 4:16.04.3-7~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
-	$(overridden_command) --ddeb-migration='kio-extras-dbg (<= 4:15.12.1-1~~)'
+	$(overridden_command) --dbgsym-migration='kio-extras-dbg (<= 4:15.12.1-1~~)'
 
 override_dh_auto_test:
 	# Tests require a registered logind session. :/
