## kio-extras 18.12.3

=== debian/changelog ===
kio-extras (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:29:23 +0000

kio-extras (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:16:41 +0000

kio-extras (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:11:19 +0000

kio-extras (4:18.12.0-0ubuntu1) disco; urgency=medium

  * Update install files.
  * New upstream beta release (18.11.80)
  * d/patches: upstream_smb-dnssd-service-discovery-fallback.patch
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:49:38 +0000

kio-extras (4:18.08.3-1ubuntu1) disco; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 13 Dec 2018 17:13:52 +0000
