=== debian/control ===
Source: kio-extras
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               gperf,
               libkf5activities-dev (>= 5.3.0~),
               libkf5archive-dev (>= 5.40.0~),
               libkf5bookmarks-dev (>= 5.40.0~),
               libkf5config-dev (>= 5.40.0~),
               libkf5configwidgets-dev (>= 5.40.0~),
               libkf5coreaddons-dev (>= 5.40.0~),
               libkf5dbusaddons-dev (>= 5.40.0~),
               libkf5dnssd-dev (>= 5.40.0~),
               libkf5doctools-dev (>= 5.40.0~),
               libkf5guiaddons-dev (>= 5.40.0~),
               libkf5i18n-dev (>= 5.40.0~),
               libkf5iconthemes-dev (>= 5.40.0~),
               libkf5khtml-dev (>= 5.3.0),
               libkf5kio-dev (>= 5.40.0~),
               libkf5pty-dev (>= 5.40.0~),
               libkf5solid-dev (>= 5.40.0~),
               libmtp-dev,
               libopenexr-dev,
               libphonon4qt5-dev (>= 4:4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.5.0~),
               libsmbclient-dev,
               libssh-dev (>= 0.6.0),
               libtag1-dev (>= 1.11~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.5.0~),
               shared-mime-info,
Standards-Version: 4.2.1
Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras

Package: kio-extras
Architecture: any
Depends: kio-extras-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kactivities
Replaces: kactivities
Description: Extra functionality for kioslaves.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package is part of the KDE base workspace module.

Package: kio-extras-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Breaks: kactivities, kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
Replaces: kactivities, kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
Description: Extra functionality for kioslaves data files.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the data files
