## kio-extras 19.04.3

=== debian/changelog ===
kio-extras (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:15:02 +0100

kio-extras (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:06:59 +0100

kio-extras (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:58:50 +0100

kio-extras (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * Drop upstream applied patch.
  * New build dep on libkf5syntaxhighlighting-dev.
  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:44:21 +0100
