=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
                libkf5kio-dev (>= 5.40.0~),
                libkf5pty-dev (>= 5.40.0~),
                libkf5solid-dev (>= 5.40.0~),
+               libkf5syntaxhighlighting-dev (>= 5.40.0~),
                libmtp-dev,
                libopenexr-dev,
                libphonon4qt5-dev (>= 4:4.6.60),
