## kio-extras 19.08.1

=== debian/changelog ===
kio-extras (4:19.08.1-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 4:17.08.3-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 16 Dec 2017 12:43:57 +0000]
  * Remove qtwebengine5-dev build-dependency.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 06 Dec 2019 02:57:12 +0000

kio-extras (4:19.08.1-1) unstable; urgency=medium

  * New upstream release (19.08.1).
  * Bump Standards-Version to 4.4.0.
  * Drop dbg migration
  * Follow upstream soversion bump for molleenetwork5
  * Build with hardening bindnow
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 Sep 2019 20:02:15 -0700
