=== debian/control ===
--- 
+++ 
@@ -4,42 +4,43 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
+               debhelper (>= 12),
+               extra-cmake-modules (>= 5.48.0~),
                gperf,
                libkf5activities-dev (>= 5.3.0~),
-               libkf5archive-dev (>= 5.40.0~),
-               libkf5bookmarks-dev (>= 5.40.0~),
-               libkf5config-dev (>= 5.40.0~),
-               libkf5configwidgets-dev (>= 5.40.0~),
-               libkf5coreaddons-dev (>= 5.40.0~),
-               libkf5dbusaddons-dev (>= 5.40.0~),
-               libkf5dnssd-dev (>= 5.40.0~),
-               libkf5doctools-dev (>= 5.40.0~),
-               libkf5guiaddons-dev (>= 5.40.0~),
-               libkf5i18n-dev (>= 5.40.0~),
-               libkf5iconthemes-dev (>= 5.40.0~),
+               libkf5archive-dev (>= 5.48.0~),
+               libkf5bookmarks-dev (>= 5.48.0~),
+               libkf5codecs-dev,
+               libkf5config-dev (>= 5.48.0~),
+               libkf5configwidgets-dev (>= 5.48.0~),
+               libkf5coreaddons-dev (>= 5.48.0~),
+               libkf5dbusaddons-dev (>= 5.48.0~),
+               libkf5dnssd-dev (>= 5.48.0~),
+               libkf5doctools-dev (>= 5.48.0~),
+               libkf5guiaddons-dev (>= 5.48.0~),
+               libkf5i18n-dev (>= 5.48.0~),
+               libkf5iconthemes-dev (>= 5.48.0~),
                libkf5khtml-dev (>= 5.3.0),
-               libkf5kio-dev (>= 5.40.0~),
-               libkf5pty-dev (>= 5.40.0~),
-               libkf5solid-dev (>= 5.40.0~),
-               libkf5syntaxhighlighting-dev (>= 5.40.0~),
+               libkf5kio-dev (>= 5.48.0~),
+               libkf5pty-dev (>= 5.48.0~),
+               libkf5solid-dev (>= 5.48.0~),
+               libkf5syntaxhighlighting-dev (>= 5.48.0~),
                libmtp-dev,
                libopenexr-dev,
                libphonon4qt5-dev (>= 4:4.6.60),
                libphonon4qt5experimental-dev,
-               libqt5svg5-dev (>= 5.5.0~),
+               libqt5svg5-dev (>= 5.8.0~),
                libsmbclient-dev,
                libssh-dev (>= 0.6.0),
                libtag1-dev (>= 1.11~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.5.0~),
+               qtbase5-dev (>= 5.8.0~),
                shared-mime-info,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kio-extras
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kio-extras.git
 
 Package: kio-extras
 Architecture: any
